Bug 1195896 - named crash in ldap_pvt_search while upgrading IPA
Summary: named crash in ldap_pvt_search while upgrading IPA
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: bind-dyndb-ldap
Version: 7.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Petr Spacek
QA Contact: Namita Soman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-24 19:56 UTC by Scott Poore
Modified: 2015-03-02 17:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-02 11:33:46 UTC
Target Upstream Version:


Attachments (Terms of Use)
abrt output email (83.76 KB, text/plain)
2015-02-24 19:59 UTC, Scott Poore
no flags Details

Description Scott Poore 2015-02-24 19:56:06 UTC
Description of problem:

During an upgrade from RHEL7.0 to 7.1, I see named crash report from abrt.

abrt_version:   2.1.11
backtrace_rating: 4
cmdline:        /usr/sbin/named -u named
crash_function: ldap_pvt_search
executable:     /usr/sbin/named
hostname:       idm-qe-01.testrelm.test
kernel:         3.10.0-123.el7.x86_64
last_occurrence: 1422416524
pid:            29836
pkg_arch:       x86_64
pkg_epoch:      32
pkg_name:       bind
pkg_release:    14.el7
pkg_version:    9.9.4
pwd:            /var/named
runlevel:       N 3
time:           Tue 27 Jan 2015 10:42:04 PM EST
uid:            25
username:       named

Version-Release number of selected component (if applicable):
ipa-server-4.1.0-16.el7.x86_64
bind-9.9.4-14.el7.x86_64
openldap-2.4.39-6.el7.x86_64

How reproducible:
unknown.  only seen once.

Steps to Reproduce:
1.  Install IPA on RHEL7.0
2.  point to repo with RHEL7.1 with affected versions
3.  yum update

Actual results:
this crash occurred during yum update process.

Expected results:
no crash

Additional info:
Unfortunately, I believe the core file was cleaned up before I was able to back it up for this bug.  I have the rest of the abrt report email that I will attach shortly.

Comment 1 Scott Poore 2015-02-24 19:59:26 UTC
Created attachment 994812 [details]
abrt output email

Comment 3 Petr Vobornik 2015-03-02 11:30:18 UTC
Most likely a bind-dyndb-ldap bug - changing component.

Comment 4 Petr Spacek 2015-03-02 11:33:46 UTC
Unfortunatelly there is not enough information in the log. Feel free to re-open it if it happens again.

Comment 5 Scott Poore 2015-03-02 17:06:00 UTC
Will do.   I was afraid that without more logs or a core this wouldn't be resolvable.  If I see it again, I'll re-open.

Thanks,
Scott


Note You need to log in before you can comment on or make changes to this bug.